# Dadou - 2.3.1-15mdk - Reminder: 7.2 is for IA32 only
#                                 8.0 is for IA32 and PPC
#                                 8.1 is for IA32 and IA64
#                                 8.2 is for IA32, IA64 and PPC

 #Dadou - 2.2-0.beta1.0.3mdk - Define macro used to control build options for
#                              each LMDK distributions
%define buildfor $(awk '{print $4}' /etc/mandrake-release)
%{expand:%%define buildfor8_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.0 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_1 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.1 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor10_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 10.0 ]; then echo 1; else echo 0; fi)}

# Dadou - 2.2-0.beta1.0.3mdk - Define if we build a stable release or not
#                              0 = stable
#                              1 = unstable
%if %buildfor9_2 || %buildfor10_0
%define unstable 0
%else
%define unstable 0
%endif

%define lib_name_orig lib%{name}
%define lib_major 1
%define lib_name %mklibname kdesdk %lib_major

%define use_enable_final 1

Name: 		kdesdk
Icon: 		kde-icon.xpm
Summary: 	K Desktop Environment - Software Development Kit
Version:    3.2
Release:    11mdk
Epoch: 		1
License:	GPL
URL:        http://www.kde.org/

Source:     %name-%version.tar.bz2
Source1:	hi16-app-kbugbuster.png
# Laurent 3.0.2-2mdk patch for ix64!
Patch2:     kde-lib64updates.patch.bz2
# Laurent 3.0.2-5mdk fix kbugbuster icons
Patch3:		kdesdk-3.0.2-fix-kbugbuster-icon.patch.bz2

# Laurent -26-05-2002 5mdk fix conflict with lam 
# rename ktrace to kde-ktrace
Patch1:		kdesdk-3.1-fix-conflict-with-lam.patch.bz2




Group: 		Graphical desktop/KDE
Packager:	Mandrake Linux KDE Team <kde@mandrakesoft.com>
BuildRoot: 	%_tmppath/%name-%version-%release-root
Obsoletes:	kdesdk3 cervisia
Provides:	kdesdk3 = %epoch:%version-%release
Requires:	cvs, %lib_name = %epoch:%version-%release


%if %buildfor8_2
BuildRequires:	XFree86-devel XFree86-libs XFree86-static-libs autoconf
BuildRequires:	automake bison db2 diffutils file flex freetype2-devel gawk
BuildRequires:	gcc-c++ gcc-cpp gettext kdelibs-devel libMesaGLU1
BuildRequires:	libbinutils2 libbinutils2-devel libbzip2_1-devel libintl1
BuildRequires:	libjpeg62-devel liblcms1 libmng1-devel libpng3-devel libqt3-devel
BuildRequires:	libstdc++ libtermcap2 m4 mktemp
BuildRequires:	perl perl-MDK-Common popt rpm-build texinfo zlib1 libbinutils2-devel
%endif

%if %buildfor9_0 || %buildfor9_1
BuildRequires:  XFree86-devel XFree86-libs 
BuildRequires:  automake bison db2 diffutils file flex freetype2-devel gawk
BuildRequires:  gcc-c++ gcc-cpp gettext kdelibs-devel libMesaGLU1
BuildRequires:  libbinutils2 libbinutils2-devel libbzip2_1-devel libintl2
BuildRequires:  libjpeg62-devel liblcms1 libmng1-devel libpng3-devel libqt3-devel
BuildRequires:  libstdc++ libtermcap2 m4 mktemp
BuildRequires:  perl perl-MDK-Common popt rpm-build texinfo zlib1
%endif

%if %buildfor9_2 || %buildfor10_0
BuildRequires:  XFree86-devel XFree86-libs
BuildRequires:  db4-devel freetype2-devel
BuildRequires: 	kdelibs-devel libMesaGLU-devel
BuildRequires:  bzip2-devel 
BuildRequires:  jpeg-devel lcms-devel mng-devel png-devel qt3-devel
BuildRequires:  zlib-devel
%endif


%description
Software Development Kit for the K Desktop Environment.


%package -n %lib_name-devel
Summary:        Header files for kdesdk
Group:		Development/KDE and Qt
Requires:	%lib_name = %epoch:%version-%release
Obsoletes:	kdesdk-devel
Provides:	kdesdk-devel =  %epoch:%version-%release
Conflicts:  kdesdk <= 3.1.94-13mdk

%description -n %lib_name-devel	
This package includes the header files you will need to compile
applications for kdesdk.

%package -n %lib_name
Summary:        Lib files for kdesdk
Group:		Graphical desktop/KDE
Conflicts:	kdesdk <= 3.1.94-13mdk

 
%description -n %lib_name
Lib files for kdesdk

%package umbrello
Summary:    UML Modeller
Group:      Graphical desktop/KDE
Obsoletes:	umbrello
Provides:	umbrello = %epoch:%version-%release
Conflicts:  kdesdk <= 3.1.94-13mdk

%description umbrello
Umbrello UML Modeller is a UML diagramming tool for KDE.


%package cervisia
Summary:    CVS client part
Group:      Graphical desktop/KDE
Obsoletes:	cervisia
Provides:	cervisia = %epoch:%version-%release
Requires:	%lib_name-cervisia = %epoch:%version-%release
Conflicts:  kdesdk <= 3.1.94-13mdk
Requires:	cvs

%description cervisia
CVS client part.


%package kcachegrind
Summary:    KCachegrind.
Group:      Graphical desktop/KDE
Provides:	kcachegring = %epoch:%version-%release
Requires:	%lib_name = %epoch:%version-%release
Requires:	valgrind
Conflicts:  kdesdk <= 3.1.94-13mdk
%description kcachegrind
KCachegrind is a visualisation tool for the profiling data generated by 
Cachegrind and Calltree (they profile data file format is upwards compatible).
Calltree extends Cachegrind, which is part of Valgrind.


%package kbabel
Summary:    KBabel is a set of tools for editing and managing gettext PO files.
Group:      Graphical desktop/KDE
Provides:	kbabel = %epoch:%version-%release
Requires:	%lib_name-kbabel = %epoch:%version-%release
Conflicts:  kdesdk <= 3.1.94-13mdk

%description kbabel
KBabel is a set of tools for editing and managing gettext PO files. Main part is a powerful 
and comfortable PO file editor which features full navigation capabilities, full editing 
functionality, possibility to search for translations in different dictionaries, spell and 
syntax checking, showing diffs and many more. Also included is a "Catalog Manager", a file manager 
view which helps keeping an overview of PO files. Last but not least it includes a standalone 
dictionary application as an additional possibility to access KBabel's powerful dictionaries. 
KBabel will help you to translate fast and also keep consistent translations.

%package -n %lib_name-kbabel-devel
Summary:    Devel files for KBabel.
Group:      Development/KDE and Qt
Requires:	%lib_name-kbabel = %epoch:%version-%release

%description -n %lib_name-kbabel-devel
Devel files for KBabel.

%package -n %lib_name-kbabel
Summary:    Librairie files for KBabel.
Group:      Graphical desktop/KDE
Conflicts:  kdesdk <= 3.1.94-13mdk

%description -n %lib_name-kbabel
Librairie files for KBabel.


%package -n %lib_name-cervisia
Summary:    Librairie for CVS client part
Group:      Graphical desktop/KDE
Conflicts:  kdesdk <= 3.1.94-13mdk
Provides:   %lib_name_orig-cervisia = %epoch:%version-%release

%description -n %lib_name-cervisia
Librairie for CVS client part.


%package -n %lib_name-cervisia-devel
Summary:    Devel files for CVS client part
Group:      Development/KDE and Qt
Requires:	%lib_name-cervisia = %epoch:%version-%release
Conflicts:  kdesdk <= 3.1.94-13mdk
Provides:      %{lib_name_orig}-cervisia-devel = %epoch:%version-%release
Provides:      %{name}-cervisia-devel = %epoch:%version-%release

%description -n %lib_name-cervisia-devel
Devel files for CVS client part.



%prep
%setup -q 
#cp %SOURCE1 $RPM_BUILD_DIR/kdesdk-3.0.98/kbugbuster/
#mv $RPM_BUILD_DIR/kdesdk-3.0.98/kmtrace/ktrace.h $RPM_BUILD_DIR/kdesdk-3.0.98/kmtrace/kde-ktrace.h
#%patch1 -p1
#%patch2 -p1
%patch3 -p1



%build
%if %buildfor9_2 || %buildfor9_1 || %buildfor10_0
make -f admin/Makefile.common cvs
%endif

export QTDIR=%_prefix/lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure


#perl -pi -e "s@/usr/lib/(libiberty.a)@%_libdir/\1@g" \
#	configure kmtrace/Makefile.*

# update config.{guess,sub} to know about amd64 targets
%{?__cputoolize: %{__cputoolize}}
%{?__cputoolize: %{__cputoolize} -c kapptemplate/admin}

%ifarch %ix86
CFLAGS="%optflags" CXXFLAGS="`echo %optflags |sed -e 's/-fomit-frame-pointer//'`" \
%else
CFLAGS="%optflags" CXXFLAGS="%optflags" \
%endif
        ./configure --prefix=%_prefix \
				--libdir=%_libdir \
	            --mandir=%_mandir \
                    --build=%_target_platform \
		    --host=%_target_platform \
%if %unstable
		--enable-debug=full \
%else
		--disable-debug \
%endif
			--enable-shared \
%if %use_enable_final			
			--enable-final \
%else
			--disable-final \
%endif
			--disable-static \
		    --disable-embedded \
		    --disable-palmtop \
		    --disable-rpath \
		    --with-gnu-ld \
		    --with-pic \
                    --with-xinerama

%make



%install
rm -fr %buildroot

# Dadou - 2.2-0.alpha2.3mdk - Don't strip when we are not in final release
%if %unstable
export DONT_STRIP=1
%endif

make install DESTDIR=%buildroot

# Create LMDK menu structure
install -d %buildroot/%_menudir/
# %%_datadir/applnk/Development/
kdedesktop2mdkmenu.pl kdesdk-kbabel Applications/Development/Tools %buildroot/%_datadir/applications/kde/kbabel.desktop %buildroot/%_menudir/kdesdk-kbabel
kdedesktop2mdkmenu.pl kdesdk-kbabel Applications/Development/Tools %buildroot/%_datadir/applications/kde/kbabeldict.desktop %buildroot/%_menudir/kdesdk-kbabeldict
kdedesktop2mdkmenu.pl kdesdk-kbabel Applications/Development/Tools %buildroot/%_datadir/applications/kde/catalogmanager.desktop %buildroot/%_menudir/kdesdk-catalogmanager
kdedesktop2mdkmenu.pl kdesdk-cervisia Applications/Development/Tools %buildroot/%_datadir/applications/kde/cervisia.desktop %buildroot/%_menudir/kdesdk-cervisia
kdedesktop2mdkmenu.pl kdesdk Applications/Development/Tools %buildroot/%_datadir/applications/kde/kompare.desktop %buildroot/%_menudir/kdesdk-kompare

kdedesktop2mdkmenu.pl kdesdk Applications/Development/Tools %buildroot/%_datadir/applications/kde/kbugbuster.desktop %buildroot/%_menudir/kdesdk-kbugbuster
kdedesktop2mdkmenu.pl kdesdk-kcachegrind Applications/Development/Tools %buildroot/%_datadir/applications/kde/kcachegrind.desktop %buildroot/%_menudir/kdesdk-kcachegrind
kdedesktop2mdkmenu.pl kdesdk-umbrello Applications/Development/Tools %buildroot/%_datadir/applications/kde/umbrello.desktop %buildroot/%_menudir/kdesdk-umbrello
kdedesktop2mdkmenu.pl kdesdk Applications/Development/Tools %buildroot/%_datadir/applications/kde/kuiviewer.desktop %buildroot/%_menudir/kdesdk-kuiviewer


####./change-release <desktop file> <categorie> <where copy> <type of desktop (KDE/GNOME)>
createmdkmenu.sh %buildroot/%_datadir/applications/kde/catalogmanager.desktop  Development-Tools-mdk
createmdkmenu.sh %buildroot/%_datadir/applications/kde/cervisia.desktop  Development-Tools-mdk
createmdkmenu.sh %buildroot/%_datadir/applications/kde/kbabel.desktop  Development-Tools-mdk        
createmdkmenu.sh %buildroot/%_datadir/applications/kde/kbabeldict.desktop  Development-Tools-mdk 
createmdkmenu.sh %buildroot/%_datadir/applications/kde/kbugbuster.desktop  Development-Tools-mdk
createmdkmenu.sh %buildroot/%_datadir/applications/kde/kcachegrind.desktop  Development-Tools-mdk
createmdkmenu.sh %buildroot/%_datadir/applications/kde/kompare.desktop  Development-Tools-mdk 
createmdkmenu.sh %buildroot/%_datadir/applications/kde/kuiviewer.desktop  Development-Tools-mdk
createmdkmenu.sh %buildroot/%_datadir/applications/kde/umbrello.desktop  Development-Tools-mdk

rm -f %buildroot/%_docdir/HTML/en/kbabel/TODO


%post
/sbin/ldconfig
%update_menus

%postun
/sbin/ldconfig
%clean_menus

%post  kbabel
/sbin/ldconfig
%update_menus

%postun  kbabel
/sbin/ldconfig
%clean_menus

%post  cervisia
/sbin/ldconfig
%update_menus

%postun  cervisia
/sbin/ldconfig
%clean_menus

%post  kcachegrind
/sbin/ldconfig
%update_menus

%postun  kcachegrind
/sbin/ldconfig
%clean_menus

%post  umbrello
/sbin/ldconfig
%update_menus

%postun  umbrello
/sbin/ldconfig
%clean_menus


%post -n %lib_name-cervisia -p /sbin/ldconfig

%postun -n %lib_name-cervisia -p /sbin/ldconfig


%clean
rm -fr %buildroot


%files
%defattr(-,root,root)
%dir %_docdir/HTML/
%dir %_docdir/HTML/en/
#

%dir %_docdir/HTML/en/kbugbuster/
%doc %_docdir/HTML/en/kbugbuster/common
%doc %_docdir/HTML/en/kbugbuster/*.bz2
%doc %_docdir/HTML/en/kbugbuster/*.docbook




%dir %_docdir/HTML/en/kompare/
%doc %_docdir/HTML/en/kompare/common
%doc %_docdir/HTML/en/kompare/*.bz2
%doc %_docdir/HTML/en/kompare/*.docbook

%_menudir/kdesdk-kbugbuster
%_menudir/kdesdk-kuiviewer
%_menudir/kdesdk-kompare

%doc %_mandir/man1/*
#
#
#
%_bindir/adddebug
%_bindir/build-progress.sh
%_bindir/cheatmake
%_bindir/create_cvsignore
%_bindir/create_makefile
%_bindir/create_makefiles
%_bindir/cvs-clean
%_bindir/cvs2dist
%_bindir/cvsblame
%_bindir/cvscheck
%_bindir/cvslastchange
%_bindir/cvslastlog
%_bindir/cvsrevertlast
%_bindir/cvsversion
%_bindir/cxxmetric
%_bindir/extend_dmalloc
%_bindir/extractrc
%_bindir/findmissingcrystal
%_bindir/fixkdeincludes
%_bindir/includemocs
%_bindir/kapptemplate
%_bindir/kbugbuster
%_bindir/kde-build
%_bindir/kdedoc
%_bindir/kdekillall
%_bindir/kdelnk2desktop.py
%_bindir/kompare
%_bindir/kuiviewer
%_bindir/licensecheck
%_bindir/makeobj
%_bindir/noncvslist
%_bindir/po2xml
%_bindir/pruneemptydirs
%_bindir/qtdoc
%_bindir/split2po
%_bindir/swappo
%_bindir/transxx
%_bindir/xml2pot
%_bindir/zonetab2pot.py
#

%_libdir/kde3/kabcformat_kdeaccounts.la
%_libdir/kde3/kabcformat_kdeaccounts.so
%_libdir/kde3/kfile_cpp.la
%_libdir/kde3/kfile_cpp.so
%_libdir/kde3/kfile_diff.la
%_libdir/kde3/kfile_diff.so
%_libdir/kde3/kfile_ts.la
%_libdir/kde3/kfile_ts.so
%_libdir/kde3/libkomparenavtreepart.la
%_libdir/kde3/libkomparenavtreepart.so
%_libdir/kde3/libkomparepart.la
%_libdir/kde3/libkomparepart.so
%_libdir/kde3/libkuiviewerpart.la
%_libdir/kde3/libkuiviewerpart.so
%_libdir/kde3/quithumbnail.la
%_libdir/kde3/quithumbnail.so


%dir %_datadir/apps/kstyle/
%dir %_datadir/apps/kstyle/themes
%_datadir/apps/kstyle/themes/scheck.themerc

%dir %_libdir/kde3/plugins/
%dir %_libdir/kde3/plugins/styles/
%_libdir/kde3/plugins/styles/*.so
%_libdir/kde3/plugins/styles/*.la


#
%_datadir/applications/kde/kbugbuster.desktop
%_datadir/applications/kde/kompare.desktop
%_datadir/applications/kde/kuiviewer.desktop
#
#
%dir %_datadir/apps/kbugbuster/
%_datadir/apps/kbugbuster/*.rc
%dir %_datadir/apps/kbugbuster/pics/
%_datadir/apps/kbugbuster/pics/*.png
#
#
#

%dir %_datadir/apps/kapptemplate/
%_datadir/apps/kapptemplate/*




%dir %_datadir/apps/kuiviewer/
%_datadir/apps/kuiviewer/*.rc

%dir %_datadir/apps/kuiviewerpart/
%_datadir/apps/kuiviewerpart/*.rc

#
%dir %_datadir/apps/kompare/
%_datadir/apps/kompare/*.rc

%dir %_datadir/apps/komparepart/
%_datadir/apps/komparepart/*.rc

%dir %_datadir/apps/kompare/icons/
%dir %_datadir/apps/kompare/icons/crystalsvg/
%dir %_datadir/apps/kompare/icons/crystalsvg/16x16/
%dir %_datadir/apps/kompare/icons/crystalsvg/16x16/apps/
%_datadir/apps/kompare/icons/crystalsvg/16x16/apps/*.png

%dir %_datadir/apps/kompare/icons/crystalsvg/32x32/
%dir %_datadir/apps/kompare/icons/crystalsvg/32x32/apps/
%_datadir/apps/kompare/icons/crystalsvg/32x32/apps/*.png

%dir %_datadir/apps/kompare/icons/crystalsvg/48x48/
%dir %_datadir/apps/kompare/icons/crystalsvg/48x48/apps/
%_datadir/apps/kompare/icons/crystalsvg/48x48/apps/*.png

%dir %_datadir/apps/kompare/icons/crystalsvg/128x128/
%dir %_datadir/apps/kompare/icons/crystalsvg/128x128/apps/
%_datadir/apps/kompare/icons/crystalsvg/128x128/apps/*.png



%dir %_datadir/apps/kompare/icons/locolor/
%dir %_datadir/apps/kompare/icons/locolor/16x16/
%dir %_datadir/apps/kompare/icons/locolor/16x16/apps/
%_datadir/apps/kompare/icons/locolor/16x16/apps/*.png

%dir %_datadir/apps/kompare/icons/locolor/32x32/
%dir %_datadir/apps/kompare/icons/locolor/32x32/apps/
%_datadir/apps/kompare/icons/locolor/32x32/apps/*.png

#
#%dir %_datadir/apps/kmtrace/
#%_datadir/apps/kmtrace/*.excludes
#
#
#
#
%_iconsdir/crystalsvg/16x16/apps/*.png
%_iconsdir/crystalsvg/22x22/apps/*.png
#
%_iconsdir/crystalsvg/32x32/apps/*.png
#
%_iconsdir/crystalsvg/48x48/apps/*.png
%_iconsdir/crystalsvg/128x128/apps/kompare.png
#
#

%_iconsdir/hicolor/16x16/apps/kuiviewer.png
%_iconsdir/hicolor/32x32/apps/kuiviewer.png
%_iconsdir/hicolor/48x48/apps/kuiviewer.png
%_iconsdir/locolor/16x16/apps/kbugbuster.png
%_iconsdir/locolor/16x16/apps/kompare.png
%_iconsdir/locolor/16x16/apps/kuiviewer.png
%_iconsdir/locolor/32x32/apps/kbugbuster.png
%_iconsdir/locolor/32x32/apps/kompare.png
%_iconsdir/locolor/32x32/apps/kuiviewer.png

#%_datadir/servicetypes/*.desktop
#
#%_datadir/services/*.desktop

%_datadir/services/designerthumbnail.desktop
%_datadir/services/kfile_cpp.desktop
%_datadir/services/kfile_diff.desktop
%_datadir/services/kfile_h.desktop
%_datadir/services/kfile_ts.desktop
%_datadir/services/komparenavtreepart.desktop
%_datadir/services/komparepart.desktop
%_datadir/services/kuiviewer_part.desktop

%_datadir/servicetypes/komparenavigationpart.desktop
%_datadir/servicetypes/kompareviewpart.desktop


#_libdir/libktrace_s.a



%dir %_datadir/apps/kabc/
%dir %_datadir/apps/kabc/formats/
%_datadir/apps/kabc/formats/kdeaccountsplugin.desktop


%files -n %lib_name
%defattr(-,root,root,-)
%_libdir/libkompareinterface.la
%_libdir/libkompareinterface.so.*
%_libdir/libkspy.so.*
%_libdir/libkspy.la



%files -n %lib_name-devel
%defattr(-,root,root,-)
%_includedir/kprofilemethod.h
%_includedir/kspy.h
	  
%_libdir/libkompareinterface.so
%_libdir/libkspy.so


%files -n %lib_name-kbabel-devel
%defattr(-,root,root,-)
%dir %_includedir/kbabel/
%_includedir/kbabel/*.h
%_libdir/libkbabelcommon.so
%_libdir/libkbabeldictplugin.so

%files -n %lib_name-kbabel
%defattr(-,root,root,-)
%_libdir/libkbabelcommon.so.*
%_libdir/libkbabelcommon.la
%_libdir/libkbabeldictplugin.la
%_libdir/libkbabeldictplugin.so.*

%_libdir/kde3/kbabel*.so
%_libdir/kde3/kbabel*.la
%_libdir/kde3/kfile_po.so
%_libdir/kde3/kfile_po.la
%_libdir/kde3/pothumbnail.so
%_libdir/kde3/pothumbnail.la



%files kcachegrind
%defattr(-,root,root,-)

%_menudir/kdesdk-kcachegrind

%dir %_docdir/HTML/en/kcachegrind/
%doc %_docdir/HTML/en/kcachegrind/common
%doc %_docdir/HTML/en/kcachegrind/*.bz2
%doc %_docdir/HTML/en/kcachegrind/*.docbook

%_iconsdir/hicolor/32x32/apps/kcachegrind.png
%_iconsdir/hicolor/48x48/apps/kcachegrind.png
%_iconsdir/locolor/16x16/apps/kcachegrind.png
%_iconsdir/locolor/32x32/apps/kcachegrind.png


%_bindir/kcachegrind

%dir %_datadir/apps/kcachegrind/
%_datadir/apps/kcachegrind/tips
%_datadir/apps/kcachegrind/*.rc

%dir %_datadir/apps/kcachegrind/icons/
%dir %_datadir/apps/kcachegrind/icons/hicolor/
%dir %_datadir/apps/kcachegrind/icons/hicolor/16x16/
%dir %_datadir/apps/kcachegrind/icons/hicolor/16x16/actions/
%_datadir/apps/kcachegrind/icons/hicolor/16x16/actions/*.png

%dir %_datadir/apps/kcachegrind/icons/hicolor/22x22/
%dir %_datadir/apps/kcachegrind/icons/hicolor/22x22/actions/
%_datadir/apps/kcachegrind/icons/hicolor/22x22/actions/*.png

%dir %_datadir/apps/kcachegrind/icons/hicolor/32x32/
%dir %_datadir/apps/kcachegrind/icons/hicolor/32x32/actions/
%_datadir/apps/kcachegrind/icons/hicolor/32x32/actions/*.png
#


%_datadir/mimelnk/application/x-kcachegrind.desktop
%_datadir/applications/kde/kcachegrind.desktop


%files kbabel
%defattr(-,root,root,-)
%_bindir/kbabel
%_bindir/kbabeldict
%_bindir/catalogmanager
%_datadir/applications/kde/kbabel.desktop
%_datadir/applications/kde/kbabeldict.desktop
%_datadir/applications/kde/catalogmanager.desktop

%_menudir/kdesdk-kbabel
%_menudir/kdesdk-kbabeldict
%_menudir/kdesdk-catalogmanager

%dir %_datadir/apps/catalogmanager
%_datadir/apps/catalogmanager/catalogmanagerui.rc


%dir %_docdir/HTML/en/kbabel/
%doc %_docdir/HTML/en/kbabel/common
%doc %_docdir/HTML/en/kbabel/*.docbook
%doc %_docdir/HTML/en/kbabel/*.png
%doc %_docdir/HTML/en/kbabel/*.bz2

%dir %_datadir/apps/
%dir %_datadir/apps/kbabel/
%_datadir/apps/kbabel/*.rc
#
#
%dir %_datadir/apps/kbabel/icons/
%dir %_datadir/apps/kbabel/icons/locolor/
%dir %_datadir/apps/kbabel/icons/locolor/16x16/
%dir %_datadir/apps/kbabel/icons/locolor/16x16/actions/
%_datadir/apps/kbabel/icons/locolor/16x16/actions/*.png
#
%dir %_datadir/apps/kbabel/icons/locolor/22x22/
%dir %_datadir/apps/kbabel/icons/locolor/22x22/actions/
%_datadir/apps/kbabel/icons/locolor/22x22/actions/*.png

%dir %_datadir/apps/kbabel/icons/locolor/32x32/
%dir %_datadir/apps/kbabel/icons/locolor/32x32/actions/
%_datadir/apps/kbabel/icons/locolor/32x32/actions/*.png
#
%dir %_datadir/apps/kbabel/icons/hicolor/
%dir %_datadir/apps/kbabel/icons/hicolor/22x22/
%dir %_datadir/apps/kbabel/icons/hicolor/22x22/actions/
%_datadir/apps/kbabel/icons/hicolor/22x22/actions/*.png
#
%dir %_datadir/apps/kbabel/icons/hicolor/16x16/
%dir %_datadir/apps/kbabel/icons/hicolor/16x16/actions/
%_datadir/apps/kbabel/icons/hicolor/16x16/actions/*.png
#
%dir %_datadir/apps/kbabel/icons/hicolor/32x32/
%dir %_datadir/apps/kbabel/icons/hicolor/32x32/actions/
%_datadir/apps/kbabel/icons/hicolor/32x32/actions/*.png
#
%dir %_datadir/apps/kbabel/pics/
%_datadir/apps/kbabel/pics/*.png

%_iconsdir/locolor/16x16/apps/kbabel.png
%_iconsdir/locolor/16x16/apps/kbabeldict.png
%_iconsdir/locolor/32x32/apps/kbabel.png
%_iconsdir/locolor/32x32/apps/kbabeldict.png

%_iconsdir/locolor/16x16/apps/catalogmanager.png
%_iconsdir/locolor/32x32/apps/catalogmanager.png

#
%_datadir/services/kbabel_*.desktop
%_datadir/services/po*.desktop
%_datadir/services/dbsea*.desktop
%_datadir/services/kfile_po.desktop
%_datadir/services/tmx*.desktop

%_datadir/servicetypes/kbabel*.desktop



%files cervisia
%defattr(-,root,root,-)
%_bindir/cervisia
%_bindir/cvsaskpass
%_bindir/cvsservice

%_menudir/kdesdk-cervisia

%doc %_mandir/man1/cervisia.1.bz2


%dir %_datadir/apps/cervisia/
%_datadir/apps/cervisia/*.rc

%_datadir/applications/kde/cervisia.desktop

%dir %_docdir/HTML/en/cervisia/
%doc %_docdir/HTML/en/cervisia/common
%doc %_docdir/HTML/en/cervisia/*.docbook
%doc %_docdir/HTML/en/cervisia/*.png
%doc %_docdir/HTML/en/cervisia/*.bz2

%dir %_datadir/apps/cervisiapart/
%_datadir/apps/cervisiapart/cervisiaui.rc

%dir %_datadir/apps/kconf_update/
%_datadir/apps/kconf_update/cervisia.upd  
%_datadir/apps/kconf_update/change_colors.pl  
%_datadir/apps/kconf_update/move_repositories.pl

%_datadir/services/cvsservice.desktop


%files -n %lib_name-cervisia
%defattr(-,root,root,-)
%_libdir/libcvsservice.la
%_libdir/libcvsservice.so.*
%_libdir/kde3/libcervisiapart.so
%_libdir/kde3/libcervisiapart.la


%files -n %lib_name-cervisia-devel
%defattr(-,root,root,-)
%_includedir/repository_stub.h
%_includedir/cvsjob_stub.h
%_includedir/cvsservice_stub.h

%_libdir/libcvsservice.so


%files umbrello
%defattr(-,root,root,-)
%_bindir/umbrello

%_menudir/kdesdk-umbrello
%_datadir/applications/kde/umbrello.desktop

%dir %_docdir/HTML/en/umbrello/
%doc %_docdir/HTML/en/umbrello/common
%doc %_docdir/HTML/en/umbrello/*.bz2
%doc %_docdir/HTML/en/umbrello/*.docbook

%dir %_docdir/HTML/en/umbrello/pics/
%_docdir/HTML/en/umbrello/pics/*.png

%dir %_datadir/apps/umbrello/
%_datadir/apps/umbrello/tips
%_datadir/apps/umbrello/*.rc

%dir %_datadir/apps/umbrello/headings/
%_datadir/apps/umbrello/headings/*


%dir %_datadir/apps/umbrello/pics/
%_datadir/apps/umbrello/pics/*.png
%_datadir/apps/umbrello/pics/*.xpm

%_datadir/mimelnk/application/x-umbrello.desktop

%_datadir/icons/hicolor/16x16/apps/umbrello.png
%_datadir/icons/hicolor/16x16/mimetypes/umbrellofile.png

%_datadir/icons/hicolor/32x32/apps/umbrello.png
%dir %_datadir/icons/hicolor/32x32/mimetypes/
%_datadir/icons/hicolor/32x32/mimetypes/umbrellofile.png

%_datadir/icons/locolor/16x16/apps/umbrello.png
%dir %_datadir/icons/locolor/16x16/mimetypes/
%_datadir/icons/locolor/16x16/mimetypes/umbrellofile.png

%_datadir/icons/locolor/32x32/apps/umbrello.png
%_datadir/icons/locolor/32x32/mimetypes/umbrellofile.png


%changelog
* Wed Mar 24 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-11mdk
- Fix compile under amd64 (patch gb)

* Thu Mar 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-10mdk
- Fix group

* Mon Mar 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-9mdk
- cputoolize (patch from Gwenole Beauchesne <gbeauchesne@mandrakesoft.com>) thanks

* Mon Feb 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-8mdk
- Fix with CVS (umbrello fix)

* Fri Feb 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-7mdk
- Fix epoch

* Wed Feb 18 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-5mdk
- Sync with CVS (fix kbabel crash)

* Wed Feb 11 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-4mdk
- Sync with CVS (fix umbrello)

* Tue Feb 10 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-3mdk
- Sync with CVS (fix umbrello)

* Mon Feb 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-2mdk
- Sync with CVS
- Fix distlint

* Tue Feb 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-1mdk
- 3.2

* Fri Jan 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-0.2mdk
- Fix file list

* Thu Jan 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-0.1mdk
- Change version

* Wed Jan 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.95-4mdk
- Sync with CVS

* Mon Jan 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.95-3mdk
- Fix requires

* Mon Jan 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.95-2mdk
- Sync with CVS

* Wed Jan 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.95-1mdk
- 3.1.95
- fix epoch

* Wed Jan 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-13mdk
- Fix files list

* Wed Jan 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-12mdk
- Sync with CVS
- Fix conflict

* Mon Jan 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-11mdk
- Add use_enable_final variable
- Reverte VFolder menu type to 'menu' menu type

* Wed Jan 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-10mdk
- Sync with CVS

* Mon Jan 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-9mdk
- Sync with CVS

* Tue Dec 30 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-8mdk
- Add requires

* Mon Dec 29 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-7mdk
- Split

* Mon Dec 29 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-6mdk
- Sync with CVS

* Mon Dec 22 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-5mdk
- Sync with CVS

* Fri Dec 19 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-4mdk
- Sync with CVS

* Thu Dec 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-3mdk
- Sync with CVS

* Mon Dec 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-2mdk
- Sync with CVS
- Split umbrello

* Mon Dec 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-1mdk
- beta2 from CVS

* Mon Nov 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-9mdk
- Sync with CVS

* Tue Nov 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-8mdk
- Sync with CVS

* Mon Nov 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-7mdk
- Sync with CVS

* Wed Nov 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-6mdk
- Fix umbrello menu item

* Wed Nov 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-5mdk
- Obsolete/Provides umbrello
- Fix menu

* Thu Nov 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-3mdk
- Fix spec file

* Fri Oct 31 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-2mdk
- port to vfolder

* Tue Oct 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-1mdk
- beta1

* Tue Oct 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-10mdk
- Sync with CVS

* Sun Oct 19 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-9mdk
- Sync with CVS

* Thu Oct 16 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-8mdk
- Sync with CVS

* Sun Oct 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-7mdk
- Sync with CVS

* Thu Oct 09 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-6mdk
- Update from CVS

* Fri Oct 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-5mdk
- Update from CVS

* Sat Sep 27 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-4mdk
- Update from CVS

* Wed Sep 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-3mdk
- 3.1.92

* Tue Sep 23 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.91-3mdk
- Fix spec file

* Sun Sep 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.91-2mdk
- Add support for MDK9.3
- Enable debug

* Thu Sep 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.91-1mdk
- 3.1.91

* Thu Sep 11 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-9mdk
- Fix upgrade

* Wed Sep 10 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-8mdk
- Add patch7: fix export CVS_RSH fix cervisia

* Fri Sep 05 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-7mdk
- Fix buildrequires

* Tue Sep 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-6mdk
- Fix build

* Mon Sep 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-5mdk
- Fix Obsoletes/requires/provides

* Wed Aug 20 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-4mdk
- Fix requires

* Wed Aug 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-3mdk
- Fix BuildRequires

* Thu Jul 31 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-2mdk
- Remove directory which are owned by other packages

* Tue Jul 29 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-1mdk
- 3.1.3

* Thu Jul 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-8mdk
- Libification

* Tue Jul 15 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-7mdk
- Fix build on MDK9.1

* Thu Jul 10 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-6mdk
- Rebuild

* Wed Jul 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-5mdk
- Update code (fix kbabel)

* Thu Jun 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-4mdk
- Update code

* Tue Jun 10 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-3mdk
- Update code 

* Tue Jun 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-2mdk
- Update code
- Add patch6 : allow to change shortcut in kbugbuster

* Mon May 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-1mdk
- 3.1.2

* Mon Apr 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-4mdk
- update code

* Fri Apr 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-3mdk
- Fix requires

* Wed Apr 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-2mdk
- 9.2

* Fri Mar 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-1mdk
- 3.1.1

* Tue Mar 11 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-9mdk
- Fix from kde 3.1 fix cerviia
"Make ListBox scrollable but non-interactive."


* Tue Mar 11 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-8mdk
- Fix from kde3.1 fix cervisia
=>" Fix BR #55665 and BR #55663:

Cervisia's options like 'Update Recursively' are now always saved to 
CervisiaPart's configuration file (cervisiapartrc). This fixes the management
of these options in Konqueror"
Fix commitdlg => "The dialog already had a top level layout."

* Sat Mar 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-7mdk
- Fix cervisia

* Mon Feb 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-6mdk
- Fix cervisai

* Mon Feb 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-5mdk
- Update code ( fix cervisia )

* Fri Feb 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-4mdk
- update code ( fix kbabel )

* Wed Feb 05 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-3mdk
- Update code ( fix crashs in kbabel )

* Thu Jan 30 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-2mdk
- Make rpmlint happy

* Tue Jan 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-1mdk
- kde3.1

* Wed Jan 22 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.3mdk
- Remove debug

* Thu Jan 09 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.2mdk
- Apply Gwenole patch "Make it lib64 aware"

* Mon Jan 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.1mdk
- rc6

* Tue Dec 17 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.3mdk
- Add patch8 : fix save config in kbugbuster

* Fri Dec 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.2mdk
- Add patch6 : fix kbugbuster menu
- Add patch7 : Fix focus in server dialogbox 

* Tue Dec 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.1mdk
- rc5

* Tue Nov 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc3.1mdk
- rc3

* Wed Nov 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc2.2mdk
- Fix missing file

* Tue Nov 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc2.1mdk
- rc2

* Tue Oct 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.3mdk
- Add requires on cvs for cervisia bug reported by Corsica 

* Fri Oct 11 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.2mdk
- Regenerate patch1

* Thu Oct 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.1mdk
- beta2

* Thu Sep 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-5mdk
- Add patch6 : fix kbabel crash

* Sun Sep 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-4mdk
- Add patch5 : fix kapptemplate mem leak

* Mon Aug 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-3mdk
- Fix spec file

* Mon Aug 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-2mdk
- Add patch4 : fix mem leak in kbabel

* Mon Aug 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-1mdk
- kde3.0.3

* Wed Aug 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-7mdk
- Rebuild against gcc-3.2
- Disable debuggage

* Wed Aug 07 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-6mdk
- Add SOURCE1 : add hicolor icon for kbugbuster

* Tue Aug 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-5mdk
- Add patch3 : Fix kbugbuster icons

* Tue Aug 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-4mdk
- Obsolete cervisia

* Fri Jul 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-3mdk
- Rebuild against gcc3.2

* Tue Jul 16 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-2mdk
- Rebuild against libintl2

* Sun Jun 30 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-1mdk
- kde3.0.2

* Fri May 31 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-6mdk
- Rebuild

* Tue May 28 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-5mdk
- Fix conflict with lam => rename ktrace.h to kde-ktrace.h

* Sun May 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-4mdk
- fix menu entry

* Thu May 23 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-3mdk
- Rebuild

* Sat May 18 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-2mdk
- Fix buildrequires

* Sat May 11 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-1mdk
- kde3.0.1

* Wed May 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-4mdk
- Rebuild against gcc3.1

* Sat Apr 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-3mdk
- Remove 'fomit-frame-pointer'
- Add missing menu entry

* Thu Apr 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-2mdk
- Fix update menu

* Tue Mar 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde3.0

* Fri Mar 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc3.1mdk
- RC3

* Sat Mar 16 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc2.1mdk
- Rc2

* Wed Feb 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.1mdk
- beta2

* Sun Jan 13 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0-0.beta1.4mdk
- Allow KDE 2 and KDE 3 to be installed in same time
- Don't build static libraries
- Remove KDE 2's changelogs (KDE 2 and KDE 3 spec files have a separate life
    now)
    
* Sat Dec 08 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0beta1-3mdk
- kde 3.0 beta1

* Fri Nov 30 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-2mdk
- Improve spec file 

* Fri Nov 23 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde 3.0
